Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 600529 - Review Request: R-rjags - Bayesian graphical models using MCMC
Summary: Review Request: R-rjags - Bayesian graphical models using MCMC
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 600467
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-06-04 22:31 UTC by chris desjardins
Modified: 2011-01-19 22:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-01-19 22:47:51 UTC


Attachments (Terms of Use)

Description chris desjardins 2010-06-04 22:31:54 UTC
Spec URL: http://dl.dropbox.com/u/1501309/Fedora/R-rjags.spec
SRPM URL: http://dl.dropbox.com/u/1501309/Fedora/R-rjags-2.1.0.4-1.fc13.src.rpm
Description: 
Bayesian graphical models using MCMC. rjags is an R interface to the JAGS MCMC library

Comment 1 Pierre-YvesChibon 2010-06-04 23:01:34 UTC
As a quick look at the spec:
- The URL is not correct
- The BuildRequires to tetex-latex has to be updated
- The Requires for post and postun can be removed
- you might want to change the Requires from R to R-core 
- You have a double dependency on R in your BuildRequires 
- The comment on the %install is incorrect (also in %files)

The rest look correct, I will do a deeper pre-review (as I can not sponsor you) later.

Comment 2 chris desjardins 2010-06-04 23:26:48 UTC
I have made the changes to my *.spec file and have updated new versions of the *.spec and *.src.rpm files. They can be obtained by clicking my original urls in the description box.

Comment 3 chris desjardins 2010-06-04 23:28:12 UTC
I will update the *.spec file with new version and a changelog. Sorry!

Comment 4 chris desjardins 2010-06-05 00:09:47 UTC
Here is the new *.spec file and the new *src.rpm addressing Pierre's issues.

http://dl.dropbox.com/u/1501309/Fedora/R-rjags.spec
http://dl.dropbox.com/u/1501309/Fedora/R-rjags-2.1.0.4-2.fc13.src.rpm

Comment 5 Pierre-YvesChibon 2010-06-05 12:41:57 UTC
* Latest version packaged
Target is already in the folder, no need to re-download it
7b3a345ad25b859c053111e607c8caa312a943ae  rjags_2.1.0-4.tar.gz
7b3a345ad25b859c053111e607c8caa312a943ae  /home/pierrey/rpmbuild/SOURCES/rjags_2.1.0-4.tar.gz
* sha1sum are equals
* All required Requires are present
* All required BuildRequires are present
* The macro %check is present
* There is 1 %dir
  %dir is OK
* There is 2 %doc
  %doc is OK
* The rpm installed in _libdir
* The rpm uses %{_libdir} and is arch
* The rpm seems to have the required element in %install
rpmbuild -ba /home/pierrey/rpmbuild/SPECS/R-rjags.spec > R-rjags.spec-build.log 2>&1 
! Does not build properly

I believe you are missing at least one BuildRequires

Comment 6 chris desjardins 2010-06-05 13:56:37 UTC
This should build now.

http://dl.dropbox.com/u/1501309/Fedora/R-rjags.spec
http://dl.dropbox.com/u/1501309/Fedora/R-rjags-2.1.0.4-3.fc13.src.rpm

However, this package requires a package not yet packaged in Fedora. So I think unless you're willing to try and build JAGS[1] then it won't build as it's an interface between R and JAGS. 

[1] https://bugzilla.redhat.com/show_bug.cgi?id=600467


Note You need to log in before you can comment on or make changes to this bug.